summaryrefslogtreecommitdiff
path: root/tests/runtests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/runtests.sh')
-rwxr-xr-xtests/runtests.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/runtests.sh b/tests/runtests.sh
index ceccba3..1436653 100755
--- a/tests/runtests.sh
+++ b/tests/runtests.sh
@@ -3,6 +3,23 @@
REPO_TOP=$(git rev-parse --show-toplevel)
cd "${REPO_TOP}"
+echo "Check for Vader"
+echo "---------------"
+vim -Nu <(cat <<EOF
+function! s:chk_vader_exists()
+ if exists(":Vader")
+ cquit 0
+ else
+ echom 'Vader not found. Please install it.'
+ echom 'https://github.com/junegunn/vader.vim'
+ cquit 1
+ endif
+endfunction
+
+command! ChkVaderExists call s:chk_vader_exists()
+EOF
+) '+ChkVaderExists' || exit 1
+
echo "Basic environment"
echo "-----------------"
vim -Nu <(cat <<EOF